<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="p-4 h-100 w-100 bg-light">

  <app-breadcrumbs [forceReload]="activeId"></app-breadcrumbs>

  <h4 [innerText]="commonMessages.PROFILE_EDIT_USER + ' ' + currentUser.userName"></h4>

  <div class="mt-3 p-4 d-flex w-100 m-1 bg-white shadow-sm">
    <ul ngbNav #nav="ngbNav" class="profile-nav text-nowrap" orientation="vertical" [(activeId)]="activeId">
      <ng-container *ngFor="let menuRow of profileMenuRows">
        <li
          *ngIf="menuRow.displayed"
          [ngbNavItem]="menuRow.label">
          <a
            ngbNavLink
            [routerLink]="menuRow.route"
            routerLinkActive="active"
            [innerText]="menuRow.label">
          </a>
        </li>
      </ng-container>
    </ul>

    <div class="w-100">
      <router-outlet></router-outlet>
    </div>

  </div>
</div>



